package com.ruoyi.system.domain;

import com.alibaba.fastjson.JSON;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 通用规则对象 act_supplies_convert
 * 
 * @author ruoyi
 * @date 2023-08-29
 */
public class ActSuppliesConvertrole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 模板id */
    @Excel(name = "模板id")
    private Long tempId;

    /** 模板名称 */
    private String templateName;

    private List<MyListItem> list;

    public List<MyListItem> getList() {
        return list;
    }

    public void setList(List<MyListItem> list) {
        this.list = list;
    }

    /** 导入表行/列/单元格选择 */
    private String[] detailZE;
    /** 导入表列坐标 */
    private String[] detailCE;
    /** 导入表行坐标 */
    private String[] detailRE;
    /** 导入表单元格长度 */
    private String[] detailLE;

    /** 模板表行/列/单元格选择*/
    private String[] detailZT;
    /** 模板表列坐标 */
    private String[] detailCT;
    /** 模板表行坐标 */
    private String[] detailRT;
    /** 模板表单元格长度 */
    private String[] detailLT;

    /** 运算方法 */
    private String[] detailYS;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 规则内容 */
    @Excel(name = "规则内容")
    private String content;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTempId(Long tempId) 
    {
        this.tempId = tempId;
    }

    public Long getTempId() 
    {
        return tempId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public String[] getDetailZE() {
        return detailZE;
    }

    public void setDetailZE(String[] detailZE) {
        this.detailZE = detailZE;
    }

    public String[] getDetailCE() {
        return detailCE;
    }

    public void setDetailCE(String[] detailCE) {
        this.detailCE = detailCE;
    }

    public String[] getDetailRE() {
        return detailRE;
    }

    public void setDetailRE(String[] detailRE) {
        this.detailRE = detailRE;
    }

    public String[] getDetailLE() {
        return detailLE;
    }

    public void setDetailLE(String[] detailLE) {
        this.detailLE = detailLE;
    }

    public String[] getDetailZT() {
        return detailZT;
    }

    public void setDetailZT(String[] detailZT) {
        this.detailZT = detailZT;
    }

    public String[] getDetailCT() {
        return detailCT;
    }

    public void setDetailCT(String[] detailCT) {
        this.detailCT = detailCT;
    }

    public String[] getDetailRT() {
        return detailRT;
    }

    public void setDetailRT(String[] detailRT) {
        this.detailRT = detailRT;
    }

    public String[] getDetailLT() {
        return detailLT;
    }

    public void setDetailLT(String[] detailLT) {
        this.detailLT = detailLT;
    }

    public String[] getDetailYS() {
        return detailYS;
    }

    public void setDetailYS(String[] detailYS) {
        this.detailYS = detailYS;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tempId", getTempId())
            .append("name", getName())
            .append("content", getContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
